#
# spec file for package perl-HTML-Tagset (Version 3.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-HTML-Tagset
Version:        3.10
Release:        12.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://www.speech.cs.cmu.edu/~sburke
Summary:        Data Tables Useful for Dealing with HTML
Source:         HTML-Tagset-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Data tables useful for dealing with HTML.



Authors:
--------
    Sean M. Burke <sburke@cpan.org>

%debug_package
%prep
%setup -n HTML-Tagset-%{version} -q

%build
perl Makefile.PL
make
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes
%doc %{_mandir}/man3/*
%{perl_vendorlib}/HTML
%{perl_vendorarch}/auto/HTML
/var/adm/perl-modules/%{name}

%changelog -n perl-HTML-Tagset
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 03 2006 - anicka@suse.cz
- update to 3.10
* Thu Feb 17 2005 - mjancar@suse.cz
- update to 3.04
* Sat Jan 10 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Wed Jun 18 2003 - mjancar@suse.cz
- fix filelist
* Fri Jun 06 2003 - mjancar@suse.cz
- repacked the source by gzip
- don't package MANIFEST
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Jan 15 2002 - rvasice@suse.cz
- spec file cleanup
* Mon Mar 26 2001 - cihlar@suse.cz
- package created
